Merge branch 'master' of gnunet.org:gnunet
[oweals/gnunet.git] / src / gns / test_gns_mx_lookup.sh
1 #!/bin/bash
2 trap "gnunet-arm -e -c test_gns_lookup.conf" SIGINT
3
4 LOCATION=$(which gnunet-config)
5 if [ -z $LOCATION ]
6 then
7   LOCATION="gnunet-config"
8 fi
9 $LOCATION --version 1> /dev/null
10 if test $? != 0
11 then
12         echo "GNUnet command line tools cannot be found, check environmental variables PATH and GNUNET_PREFIX"
13         exit 77
14 fi
15
16 rm -rf /tmp/test-gnunet-gns-peer-1/
17 which timeout &> /dev/null && DO_TIMEOUT="timeout 5"
18
19 MY_EGO="myego"
20 TEST_MX="5,mail.+"
21 gnunet-arm -s -c test_gns_lookup.conf
22 gnunet-identity -C $MY_EGO -c test_gns_lookup.conf
23 PKEY=`gnunet-identity -d | grep "$MY_EGO - " | awk '{print $3'}`
24 WANT_MX="5,mail.$PKEY"
25 gnunet-namestore -p -z $MY_EGO -a -n www -t MX -V "$TEST_MX" -e never -c test_gns_lookup.conf
26
27 RES_MX=`$DO_TIMEOUT gnunet-gns --raw -u www.$MY_EGO -t MX -c test_gns_lookup.conf`
28 gnunet-namestore -z $MY_EGO -d -n www -t MX -V "$TEST_MX" -e never -c test_gns_lookup.conf
29 gnunet-identity -D $MY_EGO -c test_gns_lookup.conf
30 gnunet-arm -e -c test_gns_lookup.conf
31 rm -rf /tmp/test-gnunet-gns-peer-1/
32
33 if [ "$RES_MX" == "$WANT_MX" ]
34 then
35   exit 0
36 else
37   echo "FAIL: did not get proper IP, got $RES_MX, expected $WANT_MX."
38   exit 1
39 fi